import 'package:flutter/material.dart';
import 'package:pdfdownloader/pdfdownloader.dart';


void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: PDFPage(),
    );
  }
}

class PDFPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('PDF DownLoand Page'),
        backgroundColor: Color(0xff003cb3),
        actions: [
          Padding(
            padding: const EdgeInsets.only(right:15.0),
            child: DownloandPdf(
              isUseIcon: true,
              pdfUrl:
                  'https://www.panthercountry.org/userfiles/358/Classes/4914/NOUN%20Clause%20Practice.pdf',
              fileNames: 'TestDownload.pdf',
              color: Colors.white,
            ),
          ),
        ],
      ),
      body: Center(
        child: DownloandPdf(
          pdfUrl:
              'http://www.espressoenglish.net/wp-content/uploads/2012/07/Free-Grammar-Ebook-Level-2.pdf',
          fileNames: 'TestDownload.pdf',
          color: Theme.of(context).primaryColor,
        ),
      ),
    );
  }
}
